.product-item {
  margin-bottom: 52px;
  position: relative;

  @media (min-width: 320px) and (max-width: 540px) {
    margin-bottom: 32px;
  }

  .product-image {
    margin-bottom: 16px;
    position: relative;

    .product-fav {
      position: absolute;
      top: 24px;
      right: 16px;
      border-width: 0;
      background-color: transparent;
      z-index: 103;
      padding: 0;
      display: flex;
      cursor: pointer;

      @media (min-width: 320px) and (max-width: 540px) {
        top: 18px;
        right: 12px;
      }

      &:hover i::after,
      input[type='checkbox']:checked + i::after {
        background-image: url('~@/static/icons/like/hover.svg');
      }

      input[type='checkbox'] {
        display: none;
      }
    }
  }

  .product-title {
    .text-overflow();
    font-family: 'Roboto', sans-serif;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: 24px;
    color: @g-black;

    @media (min-width: 320px) and (max-width: 540px) {
      font-size: 12px;
      line-height: 16px;
    }
  }

  .product-rating {
    display: flex;
    align-items: flex-start;
    font-family: Playfair Display;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 16px;
    color: @g-gray100;

    i {
      margin-right: 4px;
      color: @g-gold;
    }

    @media (min-width: 320px) and (max-width: 540px) {
      position: absolute;
      top: 10px;
      left: 10px;
      background-color: @g-yellow;
      border-radius: 15px;
      padding: 4px 8px 4px 3px;
    }
  }

  .product-except {
    .text-overflow();
    margin-top: 4px;
    font-family: 'Roboto', sans-serif;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
    color: @g-gray100;

    @media (min-width: 320px) and (max-width: 540px) {
      font-size: 12px;
      line-height: 16px;
    }
  }

  .product-info {
    position: relative;
    z-index: 3;
  }

  .product-rate {
    display: flex;
    align-items: center;
  }

  .product-comment-count {
    display: flex;
    align-items: flex-start;
    font-family: Playfair Display;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    color: @g-gray100;
    line-height: 1;

    i.icon-comment {
      margin-right: 4px;
    }
  }
}

.showroom-product-list {
  .product-item {
    position: relative;
    margin-bottom: 50px;

    .product-image {
      position: relative;
      margin-bottom: 16px;

      .product-info {
        position: absolute;
        padding: 12px;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        opacity: 0;
        transition: opacity 0.3s;

        &::before {
          content: '';
          position: absolute;
          top: 0;
          left: 0;
          right: 0;
          bottom: 0;
          background: rgb(0, 0, 0);
          background: -moz-linear-gradient(
            0deg,
            rgba(0, 0, 0, 0.5508797268907564) 0%,
            rgba(0, 0, 0, 0.29037552521008403) 100%
          );
          background: -webkit-linear-gradient(
            0deg,
            rgba(0, 0, 0, 0.5508797268907564) 0%,
            rgba(0, 0, 0, 0.29037552521008403) 100%
          );
          background: linear-gradient(
            0deg,
            rgba(0, 0, 0, 0.5508797268907564) 0%,
            rgba(0, 0, 0, 0.29037552521008403) 100%
          );
          filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="@g-black",endColorstr="@g-black",GradientType=1);
        }

        .product-subtitle {
          font-family: 'Roboto';
          font-style: normal;
          font-weight: 700;
          font-size: 16px;
          line-height: 22px;
          color: @g-white;
          margin-bottom: 8px;
          position: relative;
        }

        .product-except {
          font-family: 'Roboto';
          font-style: normal;
          font-weight: 400;
          font-size: 14px;
          line-height: 17px;
          color: @g-white;
          position: relative;
        }
      }
    }

    &:hover {
      .product-info {
        opacity: 1;

        @media (min-width: 320px) and (max-width: 768px) {
          display: none;
        }
      }
    }

    .product-title {
      font-family: 'Roboto';
      font-style: normal;
      font-weight: 700;
      font-size: 18px;
      line-height: 24px;
      color: @g-black;
    }

    &:hover {
      .product-title {
        color: @g-gray500;
      }
    }
  }
}
